Get project
curl --request GET \
--url https://api.contractorscloud.com/api/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.contractorscloud.com/api/v1/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.contractorscloud.com/api/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.contractorscloud.com/api/v1/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.contractorscloud.com/api/v1/projects/{projectId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.contractorscloud.com/api/v1/projects/{projectId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.contractorscloud.com/api/v1/projects/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 9103,
"tenant_id": 12,
"company_id": 6,
"account_id": 5190,
"status_id": 3,
"event_id": 214,
"lead_id": 372,
"storm_id": null,
"group_id": null,
"workflow_id": 58,
"site_type_id": 4,
"cancellation_id": null,
"rep_primary_id": 1159,
"mortgage_company_id": null,
"original_milestone_id": 1040,
"current_project_milestone_id": 1042,
"referred_by": 5107,
"companycam_id": null,
"hash": "f3a1c9e7b2d84f6a9c1e3b7d5a2f9c4e",
"number": "2025-0184",
"name": "Smith Residence - Roof Replacement",
"account_name": "Jane Smith",
"address_street": "482 Birchwood Ave",
"address_city": "Madison",
"address_state": "WI",
"address_zip": "53703",
"address_description": null,
"address_latitude": "43.073100",
"address_longitude": "-89.401200",
"needs_appointment": true,
"is_in_collections": false,
"rep_primary_name": "Jane Doe",
"percent_completed": "45.00",
"percent_sale_close": "75.00",
"amount_estimated": "18500.00",
"mortgage_loan_number": null,
"estimated_total_amount": "18500.00",
"payouts_amount": "0.00",
"overhead_amount": "0.00",
"expenses_pending_amount": "0.00",
"expenses_approved_amount": "0.00",
"expenses_paid_amount": "0.00",
"expenses_denied_amount": "0.00",
"expenses_total_amount": "0.00",
"financials_pending_amount": "0.00",
"financials_approved_amount": "9250.00",
"financials_billable_amount": "9250.00",
"financials_sold_amount": "18500.00",
"financials_total_amount": "18500.00",
"financials_down_payment_amount": "5000.00",
"financials_progress_payment_amount": "4250.00",
"financials_final_paid_amount": "0.00",
"financials_deductible_paid_amount": "0.00",
"financials_all_paid_amount": "9250.00",
"financials_total_paid_amount": "9250.00",
"financials_credit_memo_amount": "0.00",
"financials_refund_amount": "0.00",
"financials_revenue_amount": "9250.00",
"financials_revenue_approved_amount": "9250.00",
"financials_received_amount": "9250.00",
"financials_balance_amount": "9250.00",
"last_note_created_at": "2025-02-14 10:05:00",
"is_in_collections_at": null,
"first_contract_at": "2025-02-11 09:30:00",
"first_contract_approved_at": "2025-02-12 16:00:00",
"first_appointment_at": "2025-02-10 13:00:00",
"appointment_recommended_at": null,
"sale_closed_at": "2025-02-12 16:00:00",
"referred_at": null,
"callback_at": "2025-02-10 09:15:00",
"completed_at": null,
"created_at": "2025-02-10 09:15:00",
"updated_at": "2025-02-14 10:05:00",
"deleted_at": null
}{
"message": "Unauthenticated."
}{
"message": "The requested resource could not be found."
}Projects
Get project
Returns a single project by id.
GET
/
projects
/
{projectId}
Get project
curl --request GET \
--url https://api.contractorscloud.com/api/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.contractorscloud.com/api/v1/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.contractorscloud.com/api/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.contractorscloud.com/api/v1/projects/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.contractorscloud.com/api/v1/projects/{projectId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.contractorscloud.com/api/v1/projects/{projectId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.contractorscloud.com/api/v1/projects/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 9103,
"tenant_id": 12,
"company_id": 6,
"account_id": 5190,
"status_id": 3,
"event_id": 214,
"lead_id": 372,
"storm_id": null,
"group_id": null,
"workflow_id": 58,
"site_type_id": 4,
"cancellation_id": null,
"rep_primary_id": 1159,
"mortgage_company_id": null,
"original_milestone_id": 1040,
"current_project_milestone_id": 1042,
"referred_by": 5107,
"companycam_id": null,
"hash": "f3a1c9e7b2d84f6a9c1e3b7d5a2f9c4e",
"number": "2025-0184",
"name": "Smith Residence - Roof Replacement",
"account_name": "Jane Smith",
"address_street": "482 Birchwood Ave",
"address_city": "Madison",
"address_state": "WI",
"address_zip": "53703",
"address_description": null,
"address_latitude": "43.073100",
"address_longitude": "-89.401200",
"needs_appointment": true,
"is_in_collections": false,
"rep_primary_name": "Jane Doe",
"percent_completed": "45.00",
"percent_sale_close": "75.00",
"amount_estimated": "18500.00",
"mortgage_loan_number": null,
"estimated_total_amount": "18500.00",
"payouts_amount": "0.00",
"overhead_amount": "0.00",
"expenses_pending_amount": "0.00",
"expenses_approved_amount": "0.00",
"expenses_paid_amount": "0.00",
"expenses_denied_amount": "0.00",
"expenses_total_amount": "0.00",
"financials_pending_amount": "0.00",
"financials_approved_amount": "9250.00",
"financials_billable_amount": "9250.00",
"financials_sold_amount": "18500.00",
"financials_total_amount": "18500.00",
"financials_down_payment_amount": "5000.00",
"financials_progress_payment_amount": "4250.00",
"financials_final_paid_amount": "0.00",
"financials_deductible_paid_amount": "0.00",
"financials_all_paid_amount": "9250.00",
"financials_total_paid_amount": "9250.00",
"financials_credit_memo_amount": "0.00",
"financials_refund_amount": "0.00",
"financials_revenue_amount": "9250.00",
"financials_revenue_approved_amount": "9250.00",
"financials_received_amount": "9250.00",
"financials_balance_amount": "9250.00",
"last_note_created_at": "2025-02-14 10:05:00",
"is_in_collections_at": null,
"first_contract_at": "2025-02-11 09:30:00",
"first_contract_approved_at": "2025-02-12 16:00:00",
"first_appointment_at": "2025-02-10 13:00:00",
"appointment_recommended_at": null,
"sale_closed_at": "2025-02-12 16:00:00",
"referred_at": null,
"callback_at": "2025-02-10 09:15:00",
"completed_at": null,
"created_at": "2025-02-10 09:15:00",
"updated_at": "2025-02-14 10:05:00",
"deleted_at": null
}{
"message": "Unauthenticated."
}{
"message": "The requested resource could not be found."
}Authorizations
Query Parameters
Response
The requested project.
A project — the central job record in Contractors Cloud. The financial fields from payouts_amount through financials_balance_amount below are omitted from the response entirely when the calling user's account has the "Hide all project financial data" or the contract-access restriction permission enabled. amount_estimated, estimated_total_amount, percent_completed, and percent_sale_close are always present regardless of that permission.
The id of the project's site type, from the site-type reference data (see List available options). Null if not set.
Example:
4